@echo off
echo Test Case: 1
time<enter
"g.exe" <"g1.in" >"_tmpout"
time<enter
"checkg.exe" "g1.in" "_tmpout" "g1.out" "10" "_score" "_message"
echo Your score:
type _score
if exist _message (
echo Message:
type _message
)
pause
del _tmpout
del _score
del _message
echo.

echo Test Case: 2
time<enter
"g.exe" <"g2.in" >"_tmpout"
time<enter
"checkg.exe" "g2.in" "_tmpout" "g2.out" "10" "_score" "_message"
echo Your score:
type _score
if exist _message (
echo Message:
type _message
)
pause
del _tmpout
del _score
del _message
echo.

echo Test Case: 3
time<enter
"g.exe" <"g3.in" >"_tmpout"
time<enter
"checkg.exe" "g3.in" "_tmpout" "g3.out" "10" "_score" "_message"
echo Your score:
type _score
if exist _message (
echo Message:
type _message
)
pause
del _tmpout
del _score
del _message
echo.

echo Test Case: 4
time<enter
"g.exe" <"g4.in" >"_tmpout"
time<enter
"checkg.exe" "g4.in" "_tmpout" "g4.out" "10" "_score" "_message"
echo Your score:
type _score
if exist _message (
echo Message:
type _message
)
pause
del _tmpout
del _score
del _message
echo.

echo Test Case: 5
time<enter
"g.exe" <"g5.in" >"_tmpout"
time<enter
"checkg.exe" "g5.in" "_tmpout" "g5.out" "10" "_score" "_message"
echo Your score:
type _score
if exist _message (
echo Message:
type _message
)
pause
del _tmpout
del _score
del _message
echo.

echo Test Case: 6
time<enter
"g.exe" <"g6.in" >"_tmpout"
time<enter
"checkg.exe" "g6.in" "_tmpout" "g6.out" "10" "_score" "_message"
echo Your score:
type _score
if exist _message (
echo Message:
type _message
)
pause
del _tmpout
del _score
del _message
echo.

echo Test Case: 7
time<enter
"g.exe" <"g7.in" >"_tmpout"
time<enter
"checkg.exe" "g7.in" "_tmpout" "g7.out" "10" "_score" "_message"
echo Your score:
type _score
if exist _message (
echo Message:
type _message
)
pause
del _tmpout
del _score
del _message
echo.

echo Test Case: 8
time<enter
"g.exe" <"g8.in" >"_tmpout"
time<enter
"checkg.exe" "g8.in" "_tmpout" "g8.out" "10" "_score" "_message"
echo Your score:
type _score
if exist _message (
echo Message:
type _message
)
pause
del _tmpout
del _score
del _message
echo.

echo Test Case: 9
time<enter
"g.exe" <"g9.in" >"_tmpout"
time<enter
"checkg.exe" "g9.in" "_tmpout" "g9.out" "10" "_score" "_message"
echo Your score:
type _score
if exist _message (
echo Message:
type _message
)
pause
del _tmpout
del _score
del _message
echo.

echo Test Case: 10
time<enter
"g.exe" <"g10.in" >"_tmpout"
time<enter
"checkg.exe" "g10.in" "_tmpout" "g10.out" "10" "_score" "_message"
echo Your score:
type _score
if exist _message (
echo Message:
type _message
)
pause
del _tmpout
del _score
del _message
echo.

